#!/bin/bash

TS=1495541858
CURTS="$(date +%s)"
if [ $((CURTS)) -ge $TS ]; then
  echo "System timestamp seems to be correct. Timestamp adjusting was skipped"
  exit 0
else
  echo "Wrong system timestamp. Adjusting using 3DPrinterOS Cloud"
fi

TIMESTAMP="$(curl -k -f -sS https://cloud.3dprinteros.com/noauth/get_timestamp)"
if [ $((TIMESTAMP)) -ge $TS ]; then
  TS=$((TIMESTAMP))
  echo "Timestamp was successfully read from 3DPrinterOS Cloud ($TS)"
else
  echo "Some error on reading timestamp from 3DPrinterOS Cloud. Using fallback timestamp ($TS)"
fi

date --set="@$TS"
hwclock --systohc
